> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant



## OpenAPI

````yaml firework-v2-openapi put /firework/v2/tenants/{tenant_id}
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/tenants/{tenant_id}:
    put:
      tags:
        - tenants
      operationId: put_tenant_api_/tenants/<int:tenant_id>
      parameters:
        - in: path
          name: tenant_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantData'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantWithCounts'
          description: Success
components:
  schemas:
    TenantData:
      properties:
        name:
          description: The Tenant display name
          type: string
        description:
          description: The Tenant's purpose / description
          type: string
        number_of_employees:
          description: The number of employees for the tenant
          type: integer
        industry:
          description: The Tenant's industry
          enum:
            - global
            - transport
            - education
            - energy
            - finance
            - healthcare
            - manufacturing
            - retail
            - software
            - telecommunication
          example: global
          type: string
        global_search_calls_limit:
          description: The number of API calls allowed for the tenant.
          type: integer
        prevent_global_search:
          type: boolean
      required:
        - description
        - industry
        - name
        - number_of_employees
      type: object
    TenantWithCounts:
      properties:
        next:
          type: string
        items:
          $ref: '#/components/schemas/TenantWithCounts'
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````